import { Baby } from './baby';
import { BabyThing } from "./babything";
import { BabyEngine } from '../middle/babyengine';
export declare class BabyGUI extends BabyThing {
    color: string;
    background: string;
    border: string;
    leftRight: number;
    topBottom: number;
    constructor(model: string, baby: Baby, babyEngine: BabyEngine);
    /** role sets the color, eg Primary is blue, Danger is red.  This follows Bootstrap's model. */
    role(role: string): BabyGUI;
    /** position is one of the eight side/corner positions or 'Center'. eg: 'TopLeft' */
    position(position: string): BabyGUI;
    /** the message to display */
    text(text: string, resize?: boolean): BabyGUI;
    onClick(func: Function): BabyGUI;
}
