import { Baby } from './baby';
import { BabyShape } from './babything';
export declare class Unittests {
    app: Baby;
    constructor(app: Baby);
    unittestAll(): Promise<void>;
    allBabyMethodsTestor(app: Baby): Promise<void>;
    spiral(): Promise<void>;
    /** a simple test against every method in BabyShape */
    babyShapeTester(app: Baby, method: string): Promise<void>;
    testAllBaby(app: Baby): Promise<void>;
    /** creates an array of things to test */
    arrayOfThings(app: Baby): BabyShape[];
    /** spin the collection of things we were passed */
    spin(a: BabyShape[]): Promise<void>;
    /** just a jump to the left, and then a move to the right... */
    move(a: BabyShape[]): Promise<void>;
    /** just a jump to the left, and then a move to the right... */
    scale(a: BabyShape[]): Promise<void>;
    /** dispose of an array of shapes */
    dispose(a: BabyShape[]): Promise<void>;
    getPosition(app: Baby): Promise<void>;
    testPhysics(app: Baby): Promise<void>;
    testHTMLColor(): void;
}
