import * as Ably from 'ably';
declare type playerRole = 'singlePlayer' | 'player0' | 'playerN' | 'server' | 'spectator';
export declare class Remote {
    playerRole: playerRole;
    ably: Ably.Realtime;
    ablyKey: string;
    playerUuid: number;
    playerNumber: number;
    playerUuidList: number[];
    constructor(playerRole: playerRole);
    gameRoomHost(remote: Remote, received: any): void;
    remotePlayer(remote: Remote, received: any): void;
    connectAbly(secretKey: string): void;
    subscribeAbly(channel: string): void;
    publishAbly(channel: string, message: string): void;
}
export {};
